#

API Docs for: 1.3.0
Show: Inherited Protected Private Deprecated

# RenderTexture Class

Extends Texture
Defined in: `src/pixi/textures/RenderTexture.js:5`
Module: PIXI

A RenderTexture is a special texture that allows any pixi displayObject to be rendered to it.

Hint: All DisplayObjects (exmpl. Sprites) that renders on RenderTexture should be preloaded. Otherwise black rectangles will be drawn instead.

RenderTexture takes snapshot of DisplayObject passed to render method. If DisplayObject is passed to render method, position and rotation of it will be ignored. For example:

    var renderTexture = new PIXI.RenderTexture(800, 600);
    var sprite = PIXI.Sprite.fromImage("spinObj_01.png");
    sprite.position.x = 800/2;
    sprite.position.y = 600/2;
    sprite.anchor.x = 0.5;
    sprite.anchor.y = 0.5;
    renderTexture.render(sprite);

Sprite in this case will be rendered to 0,0 position. To render this sprite at center DisplayObjectContainer should be used:

    var doc = new PIXI.DisplayObjectContainer();
    doc.addChild(sprite);
    renderTexture.render(doc);  // Renders to center of renderTexture

## Constructor

### `RenderTexture`

(

- `width`
- `height`

)

Defined in `src/pixi/textures/RenderTexture.js:5`

#### Parameters:

- `width` Number
- `height` Number

- Index
- Methods
- Properties

## Item Index

### Methods

- fromFrame
- render
- setFrame

### Properties

- baseTexture
- frame

## Methods

### `fromFrame`

(

- `frameId`

)

Inherited from Texture: `src/pixi/textures/Texture.js:127`

Helper function that returns a texture based on a frame id If the frame id is not in the texture cache an error will be thrown

#### Parameters:

- `frameId` String

  The frame id of the texture

#### Returns:

Texture

### `render`

(

- `displayObject`
- `clear`

)

Defined in `src/pixi/textures/RenderTexture.js:112`

This function will draw the display object to the texture.

#### Parameters:

- `displayObject` DisplayObject
- `clear` Boolean

  If true the texture will be cleared before the displayObject is drawn

### `setFrame`

(

- `frame`

)

Inherited from Texture: `src/pixi/textures/Texture.js:83`

Specifies the rectangle region of the baseTexture

#### Parameters:

- `frame` Rectangle

## Properties

### `baseTexture`

BaseTexture

Inherited from Texture: `src/pixi/textures/Texture.js:31`

The base texture of this texture

### `frame`

#Rectangle

Inherited from Texture: `src/pixi/textures/Texture.js:40`

The frame specifies the region of the base texture that this texture uses